cron_job_lines:
    - name: clean runner namespaces
      minute: "*/10"
      hour: "*"
      day: "*"
      month: "*"
      weekday: "*"
      job: KUBECONFIG=/etc/kubernetes/admin.conf /usr/local/bin/clean_runner_namespaces.sh > /srv/logs/clean_runner_namespaces 2>&1
      user: ubuntu
    - name: etcd hourly backup
      minute: "0"
      hour: "*/1"
      day: "*"
      month: "*"
      weekday: "*"
      job: /usr/local/bin/etcd_backup.sh > /srv/logs/etcd_backup
      user: root
    - name: update SSH Config
      minute: "0"
      hour: "9"
      day: "*"
      month: "*"
      weekday: "*"
      job: /usr/local/bin/ansible-playbook /srv/repos/bifrost/setup_bifrost.yml --tags "ssh" --extra-vars "mode=all" > /srv/logs/ssh_config
      user: ubuntu
    - name: update Git repositories
      minute: "0"
      day: "*"
      hour: "0"
      month: "*"
      weekday: "*"
      job: /srv/repos/bifrost/roles/cron/files/update_repos.sh > /srv/logs/update_repos
      user: ubuntu
    - name: clean worker node docker instances
      minute: "0"
      hour: "*/1"
      day: "*"
      month: "*"
      weekday: "*"
      job: "/usr/local/bin/ansible-playbook -i /srv/repos/cluster-k8s/inventory_k8s_system_core /srv/repos/bifrost/playbooks/prune_old_containers.yml
       > /srv/logs/clean_runner_workernodes"
      user: ubuntu
    - name: OCI Scanning
      minute: "0"
      hour: "0"
      day: "*"
      month: "*"
      weekday: "1"
      job: "/usr/local/bin/ansible-playbook -i /srv/combined_inventory -e \"marvin_slack_token={{ marvin_slack_token }}\" /srv/playbooks/oci_scan.yml
       --key-file ~/ska-techops.pem > /srv/logs/oci-scanning 2>&1"
      user: ubuntu
